---
title: Document.createComment()
slug: Web/API/Document/createComment
tags:
  - API
  - DOM
  - Method
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><strong><code>createComment()</code></strong> creates a new comment node, and returns it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>CommentNode</var> = <var>document</var>.createComment(<var>data</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>data</var></dt>
 <dd>A string containing the data to be added to the Comment.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">var docu = new DOMParser().parseFromString('&lt;xml&gt;&lt;/xml&gt;',  'application/xml');
var comment = docu.createComment('This is a not-so-secret comment in your document');

docu.getElementsByTagName('xml')[0].appendChild(comment);

alert(new XMLSerializer().serializeToString(docu));
// Displays: &lt;xml&gt;&lt;!--This is a not-so-secret comment in your document--&gt;&lt;/xml&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-createcomment', 'document.createComment')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.createComment")}}</p>
